import request from '@/utils/request'

// 查询项目报价列表
export function listQuote(query) {
  return request({
    url: '/system/quote/list',
    method: 'get',
    params: query
  })
}

// 查询项目报价详细
export function getQuote(id) {
  return request({
    url: '/system/quote/' + id,
    method: 'get'
  })
}

// 新增项目报价
export function addQuote(data) {
  return request({
    url: '/system/quote',
    method: 'post',
    data: data
  })
}

// 修改项目报价
export function updateQuote(data) {
  return request({
    url: '/system/quote',
    method: 'put',
    data: data
  })
}

// 删除项目报价
export function delQuote(id) {
  return request({
    url: '/system/quote/' + id,
    method: 'delete'
  })
}
